/**
 * $Id: PicturePanel.java,v 1.1.1.1 2001/07/22 02:44:39 groomed Exp $
 *
 * Copyright (C) 1998-2001 groomed <groomed@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package redlight.graphics;

import java.awt.Image;
import java.awt.Toolkit;
import java.awt.Dimension;
import java.awt.Graphics;

/**
 * PicturePanel implements a component that holds a picture.
 */ 
public class PicturePanel extends java.awt.Component {
    Image image;
    protected int width, height;
    
    /**
     * @param imgs an array of image objects to use
     * @param s the delay between each frame
     * @param w the width of the component
     * @param h the height of the component
     */
    public PicturePanel(Image img, int w, int h) {
	super();
	width = w;
	height = h;
	image = img;
    }

    public java.awt.Dimension getPreferredSize() {
	return new Dimension(width, height);
    }
	
    public java.awt.Dimension getMinimumSize() {
	return new Dimension(width, height);
    }
	
    public void update(Graphics g) {
	paint(g);
    }
    public void paint(Graphics g) {
	g.drawImage(image, 0, 0, this);
    }
}




