/**
 * $Id: HLServerAgreement.java,v 1.1.1.1 2001/07/22 02:44:43 groomed Exp $
 *
 * Copyright (C) 1998-2001 groomed <groomed@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  
 */

package redlight.hotline;

/**
 * The agreement is simply a long string of text with \r as line 
 * separators.
 */
public class HLServerAgreement extends HLServerComponent {

    protected String agreement;

    /**
     * Creates empty agreement.
     */
    public HLServerAgreement(HLServer h) {

        super(h);
        agreement = null;

    }

    /**
     * Returns the news text.
     * @return news.
     */
    public String get() {

        checkModified();
        return agreement;

    }

    /**
     * Called whenever the agreement changes. Can be overridden by
     * subclasses to implement e.g. persistent storage.  
     */
    public void hasChanged() {}

    /** 
     * Called whenever the latest version of the agreement is required.
     * Can be overridden by subclasses to implement persistent storage.
     */    
    public void checkModified() {}

}
